<?php
 // объявляем работу с сессиями
 session_start();
 // указываем папку, куда будет сохраняться информация сессий
 session_save_path($_SERVER["DOCUMENT_ROOT"]."/log/session");
 // устанавливаем защиту по IP ;(сессии) не чаще, чем раз в две секунды.
 if ;(isset($_SESSION[telecod_ip])) {
 $t = ;((int)((time()-$_SESSION[telecod_ip])));
 if($t < 2) die("Нельзя обращаться к сайту чаще, чем 1 раз в две секунды!");
 }
 $_SESSION[telecod_ip]=time();
 ?>